package faktorI;

public abstract class Tokenstream {
	final static int DOUBLE = -98;
	final static int WORD = -99;
	final static int EOF = -100;
	final static int AKO = -102;
	final static int ONDA = -103;
	final static int I = -104;
	final static int ILI = -105;
	public int tok;
	public double nval;
	public String sval;
	
	abstract public void next();
	abstract public String toString();
	
	public IllegalArgumentException greskaParsera(String msg){
		return new Greska(msg + " ali je pronašeno: " + this.sval); 
	}
}
